import React from 'react';
import type { IAction } from './webToolbar';
export interface IWebLinkBarProps {
    nextTablePrefix?: string;
    onActionClick?: (item: IAction, index: number) => void;
    linkBar?: IAction[];
}
export default class WebLinkBar extends React.Component<IWebLinkBarProps> {
    renderActionButton(item: IAction, index: number): JSX.Element;
    render(): JSX.Element;
}
